QoreNamespaceIterator Class Reference

allows all namespaces of a namespace to be iterated (including the namespace passed in the constructor) More...

`#include <QoreNamespace.h>`

## Public Member Functions

DLLEXPORT | QoreNamespaceIterator (QoreNamespace &ns)
| creates the iterator; the namespace given will also be included in the iteration set
virtual DLLEXPORT | ~QoreNamespaceIterator ()
| destroys the object
DLLEXPORT QoreNamespace & | get ()
| returns the namespace
DLLEXPORT const QoreNamespace & | get () const
| returns the namespace
DLLEXPORT bool | next ()
| moves to the next position; returns true if on a valid position
DLLEXPORT QoreNamespace * | operator* ()
| returns the namespace
DLLEXPORT const QoreNamespace * | operator* () const
| returns the namespace
DLLEXPORT QoreNamespace * | operator-> ()
| returns the namespace
DLLEXPORT const QoreNamespace * | operator-> () const
| returns the namespace

## Detailed Description

allows all namespaces of a namespace to be iterated (including the namespace passed in the constructor)

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreNamespace.h